Preview the pending digest email for the current admin user
GET
/api/notifications/digest-preview
const url = 'https://api.getvespy.com/api/notifications/digest-preview';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.getvespy.com/api/notifications/digest-preview \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
preview
required
object
html
required
string
notificationCount
required
integer
notifications
required
Array<object>
object
body
required
string
createdAt
required
string format: date-time
title
required
string
recipientName
required
string
subject
required
string
text
required
string
Examplegenerated
{ "preview": { "html": "example", "notificationCount": 1, "notifications": [ { "body": "example", "createdAt": "2026-04-15T12:00:00Z", "title": "example" } ], "recipientName": "example", "subject": "example", "text": "example" }}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}